<template>
  <div class="drag-hint" @mousedown="clickOnHint" @touchstart="clickOnHint">
    <div class="hint-icon" />
    {{ $t("realMap.dragHint") }}
  </div>
</template>

<script>
export default {
  methods: {
    clickOnHint() {
      this.$emit("onClick");
    }
  }
};
</script>

<style lang="scss" scoped>
.drag-hint {
  position: fixed;
  left: 0px;
  top: 0px;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  color: $color-white;
  z-index: 1001;
  cursor: pointer;
  .hint-icon {
    display: block;
    width: 98px;
    height: 70px;
    background: url("/static/images/ic-drag-hint.svg");
  }
}
</style>
